﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 18/06/2019 11:55:31
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--
--
-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS b20190617;

CREATE DATABASE IF NOT EXISTS b20190617
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE b20190617;

--
-- Create table `productos_importados`
--
CREATE TABLE IF NOT EXISTS productos_importados (
  ID int(11) NOT NULL,
  NOMBRE varchar(12) DEFAULT NULL,
  PESO int(11) NOT NULL,
  PRIMARY KEY (ID)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 862,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `PESO_index` on table `productos_importados`
--
ALTER TABLE productos_importados
ADD INDEX PESO_index (PESO);

--
-- Create table `clientes_importados`
--
CREATE TABLE IF NOT EXISTS clientes_importados (
  ID int(11) NOT NULL,
  NOMBRE varchar(12) DEFAULT NULL,
  PESO int(11) NOT NULL,
  PRIMARY KEY (ID)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 862,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `PESO_index` on table `clientes_importados`
--
ALTER TABLE clientes_importados
ADD INDEX PESO_index (PESO);

--
-- Create table `compran_importados`
--
CREATE TABLE IF NOT EXISTS compran_importados (
  producto int(11) NOT NULL,
  cliente int(11) NOT NULL,
  fecha_ datetime DEFAULT NULL,
  cantidad varchar(255) DEFAULT NULL,
  PRIMARY KEY (producto, cliente)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `cliente_index` on table `compran_importados`
--
ALTER TABLE compran_importados
ADD INDEX cliente_index (cliente);

--
-- Create foreign key
--
ALTER TABLE compran_importados
ADD CONSTRAINT FK_compran_importados_clientes_importados_ID FOREIGN KEY (cliente)
REFERENCES clientes_importados (ID) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Create foreign key
--
ALTER TABLE compran_importados
ADD CONSTRAINT FK_compran_importados_productos_importados_ID FOREIGN KEY (producto)
REFERENCES productos_importados (ID) ON DELETE NO ACTION ON UPDATE NO ACTION;

-- 
-- Dumping data for table productos_importados
--
INSERT INTO productos_importados VALUES
(1, 'PRODUCTO1', 2),
(2, 'PRODUCTO2', 3),
(3, 'PRODUCTO3', 4),
(4, 'PRODUCTO4', 5),
(5, 'PRODUCTO5', 6),
(6, 'PRODUCTO6', 7),
(7, 'PRODUCTO7', 8),
(8, 'PRODUCTO8', 9),
(9, 'PRODUCTO9', 10),
(10, 'PRODUCTO10', 11),
(11, 'PRODUCTO11', 12),
(12, 'PRODUCTO12', 13),
(13, 'PRODUCTO13', 14),
(14, 'PRODUCTO14', 15),
(15, 'PRODUCTO15', 16),
(16, 'PRODUCTO16', 17),
(17, 'PRODUCTO17', 18),
(18, 'PRODUCTO18', 19),
(19, 'PRODUCTO19', 20);

-- 
-- Dumping data for table clientes_importados
--
INSERT INTO clientes_importados VALUES
(1, 'PRODUCTO1', 2),
(2, 'PRODUCTO2', 3),
(3, 'PRODUCTO3', 4),
(4, 'PRODUCTO4', 5),
(5, 'PRODUCTO5', 6),
(6, 'PRODUCTO6', 7),
(7, 'PRODUCTO7', 8),
(8, 'PRODUCTO8', 9),
(9, 'PRODUCTO9', 10),
(10, 'PRODUCTO10', 11),
(11, 'PRODUCTO11', 12),
(12, 'PRODUCTO12', 13),
(13, 'PRODUCTO13', 14),
(14, 'PRODUCTO14', 15),
(15, 'PRODUCTO15', 16),
(16, 'PRODUCTO16', 17),
(17, 'PRODUCTO17', 18),
(18, 'PRODUCTO18', 19),
(19, 'PRODUCTO19', 20);

-- 
-- Dumping data for table compran_importados
--
INSERT INTO compran_importados VALUES
(1, 18, '2019-06-18 00:00:00', NULL),
(1, 19, '2019-06-19 00:00:00', NULL),
(3, 1, '2019-06-05 00:00:00', NULL),
(6, 1, '2019-06-05 00:00:00', NULL);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;